#|#|#|#|#|#|#|#|#|#|#|#|#|#|#|#
#  More Mineral Uses - 1.17.1 #
#  Tijd4Jan                   #
#|#|#|#|#|#|#|#|#|#|#|#|#|#|#|#

## Day
execute store result score @a morningMMU run time query daytime
execute as @a[scores={morningMMU=1}] at @s run scoreboard players add @a daysWaited 1

## Copper
execute as @e[type=item,nbt={Item:{id:"minecraft:egg",Count:1b}}] at @s if entity @e[type=item,distance=..1,nbt={Item:{id:"minecraft:copper_ingot",Count:8b}}] if block ~ ~-1 ~ minecraft:crafting_table run function more_mineral_uses:crafting/copper_egg
execute as @e[type=item,nbt={Item:{id:"minecraft:totem_of_undying",Count:1b}}] at @s if entity @e[type=item,distance=..1,nbt={Item:{id:"minecraft:copper_block",Count:4b}}] if block ~ ~-1 ~ minecraft:crafting_table run function more_mineral_uses:crafting/copper_totem
execute as @e[type=item,nbt={Item:{id:"minecraft:book",Count:1b}}] at @s if entity @e[type=item,distance=..1,nbt={Item:{id:"minecraft:copper_block",Count:1b}}] if block ~ ~-1 ~ minecraft:bookshelf run function more_mineral_uses:crafting/copper_book

execute as @a[nbt={SelectedItem:{id:"minecraft:totem_of_undying",Count:1b,tag:{CustomModelData:52}}}] at @s run scoreboard players set @s holdsTotemMMU 1
execute as @a[nbt={Inventory:[{Slot:-106b,id:"minecraft:totem_of_undying",Count:1b,tag:{CustomModelData:52}}]}] at @s run scoreboard players set @s holdsTotemMMU 1
execute as @a[scores={holdsTotemMMU=1,usedTotemMMU=1..}] at @s run function more_mineral_uses:copper/totem
execute as @a[scores={usedTotemMMU=1..},nbt={SelectedItem:{id:"minecraft:air",Count:1b}}] at @s run scoreboard players set @s holdsTotemMMU 0
execute as @a[scores={usedTotemMMU=1..}] at @s run scoreboard players set @s usedTotemMMU 0

execute as @e[type=item_frame,nbt={Item:{id:"minecraft:poisonous_potato",Count:1b,tag:{CustomModelData:51}}}] at @s unless entity @a[scores={waitForEgg=..12001}] run scoreboard players set @a waitForEgg 0
execute as @e[type=item_frame,nbt={Item:{id:"minecraft:poisonous_potato",Count:1b,tag:{CustomModelData:51}}}] at @s if entity @a[scores={waitForEgg=12000}] if block ~ ~-1 ~ #more_mineral_uses:copper_blocks run function more_mineral_uses:copper/egg
execute as @e[type=item_frame,nbt={Item:{id:"minecraft:poisonous_potato",Count:1b,tag:{CustomModelData:51}}}] at @s run forceload add ~ ~

## Diamond
execute as @e[type=item,nbt={Item:{id:"minecraft:heart_of_the_sea",Count:1b}}] at @s if entity @e[type=item,distance=..1,nbt={Item:{id:"minecraft:diamond",Count:8b}}] if block ~ ~-1 ~ minecraft:crafting_table run function more_mineral_uses:crafting/heart_of_town
execute as @e[type=item,nbt={Item:{id:"minecraft:torch",Count:4b}}] at @s if entity @e[type=item,distance=..1,nbt={Item:{id:"minecraft:diamond",Count:4b}}] if block ~ ~-1 ~ minecraft:crafting_table run function more_mineral_uses:crafting/diamond_torch
execute as @e[type=item,nbt={Item:{id:"minecraft:book",Count:1b}}] at @s if entity @e[type=item,distance=..1,nbt={Item:{id:"minecraft:diamond_block",Count:1b}}] if block ~ ~-1 ~ minecraft:bookshelf run function more_mineral_uses:crafting/diamond_book

execute as @e[type=item_frame,nbt={Item:{id:"minecraft:heart_of_the_sea",Count:1b,tag:{CustomModelData:57,display:{Name:'{"text":"Heart of Town","italic":false}'}}}}] at @s if entity @a[scores={daysWaited=10,morningMMU=2}] run function more_mineral_uses:diamond/diamond_trader
execute if entity @a[scores={daysWaited=11..,morningMMU=2}] run function more_mineral_uses:diamond/diamond_trader_despawn
execute as @e[type=item_frame,nbt={Item:{id:"minecraft:heart_of_the_sea",Count:1b,tag:{CustomModelData:57,display:{Name:'{"text":"Heart of Town","italic":false}'}}}}] at @s run function more_mineral_uses:diamond/heart_of_town

execute as @a at @s run fill ~3 ~8 ~3 ~-3 ~-2 ~-3 air replace light
execute as @a[nbt={SelectedItem:{id:"minecraft:torch",Count:1b,tag:{CustomModelData:58}}}] at @s run function more_mineral_uses:diamond/diamond_torch
execute as @a[nbt={Inventory:[{Slot:-106b,id:"minecraft:torch",Count:1b,tag:{CustomModelData:58}}]}] at @s run function more_mineral_uses:diamond/diamond_torch

## Lapis
execute as @e[type=item,nbt={Item:{id:"minecraft:dragon_breath",Count:1b}}] at @s if entity @e[type=item,distance=..1,nbt={Item:{id:"minecraft:lapis_lazuli",Count:8b}}] if block ~ ~-1 ~ minecraft:crafting_table run function more_mineral_uses:crafting/feared_dragon_breath
execute as @e[type=item,nbt={Item:{id:"minecraft:iron_chestplate",Count:1b}}] at @s if entity @e[type=item,distance=..1,nbt={Item:{id:"minecraft:lapis_block",Count:2b}}] if block ~ ~-1 ~ minecraft:crafting_table run function more_mineral_uses:crafting/lapis_monster
execute as @e[type=item,nbt={Item:{id:"minecraft:book",Count:1b}}] at @s if entity @e[type=item,distance=..1,nbt={Item:{id:"minecraft:lapis_block",Count:1b}}] if block ~ ~-1 ~ minecraft:bookshelf run function more_mineral_uses:crafting/lapis_book

execute as @e[type=item,nbt={Item:{id:"minecraft:dragon_breath",Count:1b,tag:{CustomModelData:60,display:{Name:'{"text":"Feared Dragon\'s Breath","italic":false}'}}}}] at @s if entity @e[distance=..2,sort=nearest,type=#more_mineral_uses:feared_mobs] run function more_mineral_uses:lapis/feared_mobs

execute as @e[tag=Lapis_Monster,type=bat] at @s run function more_mineral_uses:lapis/monster/spawn
execute if entity @e[tag=Lapis_Monster,type=armor_stand] run function more_mineral_uses:lapis/monster/fight

## More Mineral Uses Installed
scoreboard players set @a moreMineralUses 1